curl https://zeplo.ai/api/ai-settings \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": {
"id": 1,
"channelId": "647015955153740",
"enabled": true,
"model": "gpt-4o-mini",
"temperature": 0.7,
"maxTokens": 500,
"systemPrompt": "You are a helpful customer support agent...",
"fallbackMessage": "Let me connect you with a human agent.",
"handoffKeywords": ["human", "agent", "speak"],
"createdAt": "2026-01-01T08:00:00Z"
}
}
Settings
GET AI Settings
Configure AI chatbot settings for channels.
GET
/
api
/
ai-settings
curl https://zeplo.ai/api/ai-settings \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": {
"id": 1,
"channelId": "647015955153740",
"enabled": true,
"model": "gpt-4o-mini",
"temperature": 0.7,
"maxTokens": 500,
"systemPrompt": "You are a helpful customer support agent...",
"fallbackMessage": "Let me connect you with a human agent.",
"handoffKeywords": ["human", "agent", "speak"],
"createdAt": "2026-01-01T08:00:00Z"
}
}
Get AI settings
GET /api/ai-settings
Configure AI-powered auto-reply settings per channel.
Headers
string
required
Session cookie (login via POST /api/auth/login)
curl https://zeplo.ai/api/ai-settings \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
GET /api/ai-settings/channel/:channelId
{
"success": true,
"data": {
"id": 1,
"channelId": "647015955153740",
"enabled": true,
"model": "gpt-4o-mini",
"temperature": 0.7,
"maxTokens": 500,
"systemPrompt": "You are a helpful customer support agent...",
"fallbackMessage": "Let me connect you with a human agent.",
"handoffKeywords": ["human", "agent", "speak"],
"createdAt": "2026-01-01T08:00:00Z"
}
}
Create AI settings
POST /api/ai-settings
{
"channelId": "647015955153740",
"enabled": true,
"model": "gpt-4o-mini",
"temperature": 0.7,
"maxTokens": 500,
"systemPrompt": "You are a helpful customer support agent for Acme Inc.",
"fallbackMessage": "Let me connect you with a human agent.",
"handoffKeywords": ["human", "agent"]
}
Update AI settings
PUT /api/ai-settings/:id
Delete AI settings
DELETE /api/ai-settings/:id